# Copyright 2014 - 2016 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

check_type(){
  [ "${_GET[filtertype]}" = "$1" ] && echo 'checked="checked"'
}
check_order(){
  [ "${_GET[order]}" = "$1" ] && echo 'checked="checked"'
}

edit="${_GET[edit]}"
[ \! -f "vcard/$edit" -a \! -f "temp/$edit" ] && edit=''
[ -z "${_GET[filtertype]}" ] && _GET[filtertype]="any"
[ -z "${_GET[order]}" ] && _GET[order]="firstname"

cat <<EOF
<form class="filter" action="?action=filter_card" method="POST">
  <h1>$(l10n filter_label)</h1>
  <input type="hidden" name="page" value="cards"/>
  <input type="text" name="filter" value="$_GET["filter"]" placeholder="$(l10n filter_placeholder)"/>
  <br />
  <fieldset>
  <legend>$(l10n filter_type):</legend>
    <label><input type="radio" name="filtertype" value="any"       $(check_type any)      >$(l10n filter_all)</label>
    <label><input type="radio" name="filtertype" value="name"      $(check_type name)     >$(l10n filter_name)</label>
    <label><input type="radio" name="filtertype" value="street"    $(check_type street)   >$(l10n filter_street)</label>
    <label><input type="radio" name="filtertype" value="zip"       $(check_type zip)      >$(l10n filter_zip)</label>
    <label><input type="radio" name="filtertype" value="telephone" $(check_type telephone)>$(l10n filter_phone)</label>
    <label><input type="radio" name="filtertype" value="birth"     $(check_type birth)    >$(l10n filter_birthyear)</label>
    <label><input type="radio" name="filtertype" value="course"    $(check_type course)   >$(l10n filter_course)</label>
  </fieldset>
  <fieldset>
    <legend>$(l10n filter_order):</legend>
    <label><input type="radio" name="order" value="firstname" $(check_order firstname)>$(l10n filter_firstname)</label>
    <label><input type="radio" name="order" value="lastname"  $(check_order lastname) >$(l10n filter_lastname)</label>
    <label><input type="radio" name="order" value="bdate"     $(check_order bdate)    >$(l10n filter_bdate)</label>
  </fieldset>
  <button type="submit" name="choice" value="new_filter">$(l10n filter_apply)</button>
  <button type="submit" name="choice" value="del_filter">$(l10n filter_cancel)</button>
</form>

<form class="newcard" action="?action=new_card" method="POST">
  <button type="submit">$(l10n newcard)</button>
</form>

${edit:+$(edit_card "$edit")}

$(
  listcards |grep ${edit:+-v} "$edit" \
  | while read card; do
    cat <<-ENDCARD
	<div id="${card}" class="card">
	  $(view_card "$card")<!--
	  --><div class="control">
	    <a class="item" href="?action=edit_card&card=${card}">$(l10n edit)</a>
	    <a class="item" href="?action=export_vcard&card=${card}">$(l10n vcf_export)</a>
	  </div>
	</div>
	ENDCARD
  done
)
EOF

# vi:set filetype=html:
