# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

cat <<EOF

.filter {
  display: block;
  width: 128ex;
  border-width: 1px;
  border-style: solid;
  border-radius: 4px 4px 0 0;
  margin: .5em auto .25em auto;
  padding: .25em 1ex .25em 1ex;
  background: #EFF;
}

.filter > .label {
  display: block;
  font-weight: bold;
  font-size: 1.2em;
  border-style: none none solid none;
  border-width: 1px;
  margin: 0em 0ex .5em 0ex;
  background: #EEF;
}

.filter .search {
  margin: 0em 2ex .5em 2ex;
}
.filter .search .label {
  display: inline-block;
  width: 12ex;
  font-weight: bold;
  margin-top: .5em;
}
.filter .search input[type="radio"] {
  margin-top: .5em;
  margin-left: 1ex;
}
.filter .search button {
  margin-top: .5em;
}

.filter .search input[type="text"] {
  width: 124ex;
}

.newcard {
  display: block;
  width: 126ex;
  border-width: 1px;
  border-style: solid;
  border-radius: 0 0 4px 4px;
  margin: .25em auto 1em auto;
  padding: .25em 2ex .25em 2ex;
  background: #EFF;
}

.cardlist .card {
  display: block;
  width: 130ex;
  border-style: solid;
  border-width: 1px;
  margin: .25em auto;
  padding: 0;
  overflow: auto;
  background: #FFF;
}

.cardlist .card .section {
  display: inline-block;
  float:left;
  width: 20ex;
  margin: .125em .25ex .5ex .25ex;
  padding: 0 .2em .2em .2em;
  background: #EEE;
}
.cardlist .card .section a.attendance {
  display: inline-block;
  margin-right: 1ex;
  word-wrap: break-word;
}

.cardlist .card .attendance {
  width: 83.5ex;
}
.cardlist .card .attendance .check {
  display: inline-block;
  width: 27ex;
}

.cardlist .card .control {
  float: right;
  text-align: right;
  margin-right: 0;
  background: #EEF;
}
.cardlist .card .control .item {
  color: #008;
  margin-top: .2em;
  margin-right: 1ex;
}
.cardlist .card .control a.item {
  min-width: 10ex;
  border-style: solid double solid solid;
  border-width: 1px 3px 1px 1px;
  border-color: #000;
  padding: .1em 1ex;
  background: #FFF;
}
.cardlist .card .control a.item:hover{
  border-width: 1px 1px 1px 1px;
}

.cardlist .card .section .sectitle {
  display: block;
  font-weight: bold;
  margin: .2em .2em .2em .2em;
}

.cardlist .card .section .item {
  display: block;
  max-width: 20ex;
  word-wrap: break-word;
}

.cardlist .card .section textarea.NOTE {
  min-height: 6em;
}
.cardlist .card .section textarea.ADR {
  min-height: 4em;
}

.cardlist .card .section .PHOTO {
  width: 20ex;
  max-heigth: 30ex;
}

.cardlist .card .section .FN {
  font-weight: bold;
  font-size: 1.2em;
}

EOF

# vi:set filetype=css:
